Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst] crfeeder failed to find required module gtk
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
flammenflitzer
Advocate
Advocate


Joined: 25 Nov 2003
Posts: 3009
Location: Berlin

PostPosted: Sun Dec 02, 2012 10:35 am    Post subject: [gelöst] crfeeder failed to find required module gtk Reply with quote

Hallo,
ich wollte OCRFeeder http://wiki.ubuntuusers.de/OCRFeeder ausprobieren.
Das ebuild habe ich von hier https://bugs.gentoo.org/show_bug.cgi?id=333309
Lässt sich aber nicht kompillieren.
Code:
>>> Emerging (1 of 1) media-gfx/ocrfeeder-0.7.7 from x-local
 * ocrfeeder-0.7.7.tar.xz SHA256 SHA512 WHIRLPOOL size ;-) ...                                           [ ok ]
>>> Unpacking source...
>>> Unpacking ocrfeeder-0.7.7.tar.xz to /var/tmp/portage/media-gfx/ocrfeeder-0.7.7/work
>>> Source unpacked in /var/tmp/portage/media-gfx/ocrfeeder-0.7.7/work
>>> Preparing source in /var/tmp/portage/media-gfx/ocrfeeder-0.7.7/work/ocrfeeder-0.7.7 ...
 * Applying ocrfeeder-0.7.6-pyodf-unbundle.patch ...                                                     [ ok ]
 * Applying ocrfeeder-0.7.6-fix-PIL-hashcollision.patch ...                                              [ ok ]
 * Running eautoreconf in '/var/tmp/portage/media-gfx/ocrfeeder-0.7.7/work/ocrfeeder-0.7.7' ...
 * Running glib-gettextize --copy --force ...                                                            [ ok ]
 * Running intltoolize --automake --copy --force ...                                                     [ ok ]
 * Running gnome-doc-prepare --copy --force ...                                                          [ ok ]
 * Running aclocal -I m4 ...                                                                             [ ok ]
 * Running autoconf ...                                                                                  [ ok ]
 * Running automake --add-missing --copy ...                                                             [ ok ]
 * Fixing OMF Makefiles ...                                                                              [ ok ]
 * Disabling deprecation warnings ...                                                                    [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/media-gfx/ocrfeeder-0.7.7/work/ocrfeeder-0.7.7 ...
./configure --prefix=/usr --build=x86_64-pc-linux-gnu --host=x86_64-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --libdir=/usr/lib64 --disable-maintainer-mode --disable-scrollkeeper --disable-silent-rules
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking whether make supports nested variables... yes
checking for a Python interpreter with version >= 2.5... python
checking for python... /usr/bin/python
checking for python version... 3.2
checking for python platform... linux2
checking for python script directory... ${prefix}/lib64/python3.2/site-packages
checking for python extension module directory... ${exec_prefix}/lib64/python3.2/site-packages
checking python module: gtk... no
configure: error: failed to find required module gtk

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-gfx/ocrfeeder-0.7.7/work/ocrfeeder-0.7.7/config.log
 * ERROR: media-gfx/ocrfeeder-0.7.7 failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *          ebuild.sh, line   93:  Called src_configure
 *        environment, line 6041:  Called gnome2_src_configure
 *        environment, line 3214:  Called econf '--disable-maintainer-mode' '--disable-scrollkeeper' '--disable-silent-rules'
 *   phase-helpers.sh, line  501:  Called die
 * The specific snippet of code:
 *                      die "econf failed"


Last edited by flammenflitzer on Sun Dec 02, 2012 12:00 pm; edited 1 time in total
Back to top
View user's profile Send private message
arfe
Apprentice
Apprentice


Joined: 24 Aug 2005
Posts: 174
Location: Essen

PostPosted: Sun Dec 02, 2012 11:30 am    Post subject: Re: crfeeder-0.7.7 configure: failed to find required module Reply with quote

flammenflitzer wrote:

checking python module: gtk... no
configure: error: failed to find required module gtk



Wann lernst Du eigentlich endlich mal lesen? Kannst Du eigentlich irgendwas selbst machen und lösen? :roll:


Code:
[I] dev-python/pygtk
     Available versions:  (2) 2.24.0-r1 2.24.0-r2
        {{doc examples test}}
     Installed versions:  2.24.0-r2(2)(02:03:47 01.09.2012)(examples -doc -test)
     Homepage:            http://www.pygtk.org/
     Description:         GTK+2 bindings for Python
Back to top
View user's profile Send private message
flammenflitzer
Advocate
Advocate


Joined: 25 Nov 2003
Posts: 3009
Location: Berlin

PostPosted: Sun Dec 02, 2012 11:59 am    Post subject: Reply with quote

Ich weiß nicht wie das zur Lösung beitragen soll. dev-python/pygtk-2.24.0-r2:2 habe ich installiert. Allerdings hat mich deine Kritik dazu gebracht, die Ausgabe noch einmal zu überprüfen. dabei habe ich festgestellt, das im falschen Pfad gesucht wurde.
Code:
/lib64/python3.2
Code:
flammenflitzer olaf # eselect python list
Available Python interpreters:
  [1]   python2.7
  [2]   python3.2 *
flammenflitzer olaf # eselect python set 1
flammenflitzer olaf # eselect python list
Available Python interpreters:
  [1]   python2.7 *
  [2]   python3.2
löst das Problem. Danke für den hilfreichen Hinweis.
Back to top
View user's profile Send private message
arfe
Apprentice
Apprentice


Joined: 24 Aug 2005
Posts: 174
Location: Essen

PostPosted: Sun Dec 02, 2012 6:36 pm    Post subject: Reply with quote

flammenflitzer wrote:
Ich weiß nicht wie das zur Lösung beitragen soll. dev-python/pygtk-2.24.0-r2:2 habe ich installiert. Allerdings hat mich deine Kritik dazu gebracht, die Ausgabe noch einmal zu überprüfen. dabei habe ich festgestellt, das im falschen Pfad gesucht wurde.
Code:
/lib64/python3.2
Code:
flammenflitzer olaf # eselect python list
Available Python interpreters:
  [1]   python2.7
  [2]   python3.2 *
flammenflitzer olaf # eselect python set 1
flammenflitzer olaf # eselect python list
Available Python interpreters:
  [1]   python2.7 *
  [2]   python3.2
löst das Problem. Danke für den hilfreichen Hinweis.



Herrje! Du hättest das o.g. Paket nur mit python 3.2 rekompilieren müßen.
Muss man Dir echt alles erklären? :roll:
Back to top
View user's profile Send private message
flammenflitzer
Advocate
Advocate


Joined: 25 Nov 2003
Posts: 3009
Location: Berlin

PostPosted: Mon Dec 03, 2012 8:11 am    Post subject: Reply with quote

Das wäre schön. Davon abgesehen, das der letzte Vorschlag das Problem nicht löst.
Ich gehöre zu den Usern, die lediglich ein funktionierendes Linux OS haben wollen, ohne dafür Informatik studieren zu müssen. Wenn dich meine Fragen nerven, ignoriere sie bitte. Denn der Ton deiner Antworten nervt. Darauf kann ich verzichten. Besser keine Hilfe, als auf diese Art
Danke
Back to top
View user's profile Send private message
arfe
Apprentice
Apprentice


Joined: 24 Aug 2005
Posts: 174
Location: Essen

PostPosted: Mon Dec 03, 2012 9:16 am    Post subject: Reply with quote

flammenflitzer wrote:

Ich gehöre zu den Usern, die lediglich ein funktionierendes Linux OS haben wollen, ohne dafür Informatik studieren zu müssen.


Dann ist Gentoo definitiv die falsche Distribution für Dich. Ich würde Dir dann zu einem (K)ubuntu raten. :D
Back to top
View user's profile Send private message
bell
Guru
Guru


Joined: 27 Nov 2007
Posts: 422

PostPosted: Tue Dec 04, 2012 9:33 am    Post subject: Reply with quote

@arfe, wenn ich in den Verlauf Deiner Beiträge schaue, so sind fast alle davon von Deiner persönlichen Ego-Pflege überschattet. Was ist Los mit Dir? Pubertierst Du gerade? Oder musst Du irgend welche Minderwertigkeitskomplexe kompensieren? Für sowas gibt es Facebook, ein Gentoo-Forum ist nicht der richtige Platz dafür. Reiße Dich bitte hier zusammen.

@flammenflitzer: ich denke Deinem System würde ein
Code:
python-updater
nicht schaden. Damit sollte dann OCRFeeder mit dem Python 3.2 sich bauen lassen.
Back to top
View user's profile Send private message
arfe
Apprentice
Apprentice


Joined: 24 Aug 2005
Posts: 174
Location: Essen

PostPosted: Wed Dec 05, 2012 10:30 am    Post subject: Reply with quote

bell wrote:
@arfe, wenn ich in den Verlauf Deiner Beiträge schaue, so sind fast alle davon von Deiner persönlichen Ego-Pflege überschattet. Was ist Los mit Dir? Pubertierst Du gerade? Oder musst Du irgend welche Minderwertigkeitskomplexe kompensieren? Für sowas gibt es Facebook, ein Gentoo-Forum ist nicht der richtige Platz dafür. Reiße Dich bitte hier zusammen.

@flammenflitzer: ich denke Deinem System würde ein
Code:
python-updater
nicht schaden. Damit sollte dann OCRFeeder mit dem Python 3.2 sich bauen lassen.



Dann beobachte mal flammenflitzers Fragen. Er bemüht sich nicht mal die trivialsten Dinge selbst zu lösen.
Und welche Minderwertigkeitskomplexe hast Du so? :D
Back to top
View user's profile Send private message
fuchur
Guru
Guru


Joined: 12 Aug 2003
Posts: 563

PostPosted: Wed Dec 05, 2012 4:43 pm    Post subject: Reply with quote

Hi
arfe wrote:
bell wrote:
@arfe, wenn ich in den Verlauf Deiner Beiträge schaue, so sind fast alle davon von Deiner persönlichen Ego-Pflege überschattet. Was ist Los mit Dir? Pubertierst Du gerade? Oder musst Du irgend welche Minderwertigkeitskomplexe kompensieren? Für sowas gibt es Facebook, ein Gentoo-Forum ist nicht der richtige Platz dafür. Reiße Dich bitte hier zusammen.

@flammenflitzer: ich denke Deinem System würde ein
Code:
python-updater
nicht schaden. Damit sollte dann OCRFeeder mit dem Python 3.2 sich bauen lassen.



Dann beobachte mal flammenflitzers Fragen. Er bemüht sich nicht mal die trivialsten Dinge selbst zu lösen.
Und welche Minderwertigkeitskomplexe hast Du so? :D

Wenn dir irgend welche Fragen zu trivial sind dann beantworte diese halt nicht. Nur weil man sich in einem Forum anmeldet heisst das noch lange nicht das
man jede Frage beantworten muss auch wenn man es kann. Kümmer dich dann halt um die richtig "harten Nüsse"-

MfG
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum